Grants, vesting & distributions

Get Upcoming Grant Events

Returns upcoming vesting, unlock and settlement events for the org in a date range via distributionService.

POSThttps://api.toku.com/tga/get-upcoming-grant-events

Not available to API keys yet. It will need grants:read.

curl --request POST \
  --url 'https://api.toku.com/tga/get-upcoming-grant-events' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "startDate": "2026-01-01T00:00:00Z",
  "endDate": "2026-01-01T00:00:00Z",
  "eventTypes": [
    "Vesting"
  ],
  "grantName": "string",
  "recipientName": "string"
}'
200 response
{
  "grantEvents": [
    {
      "eventType": "Vesting",
      "eventDate": "string",
      "amount": "string",
      "grantName": "string",
      "grantID": "string",
      "recipientName": "string",
      "roleInOrgID": "string",
      "roleInOrgExternalID": 0,
      "eventID": "string",
      "externalEmployeeID": "string",
      "tokenName": "string",
      "tokenIcon": "string",
      "country": "string",
      "employmentType": "string",
      "trancheSequenceNumber": 0,
      "vestingDate": "string",
      "status": "string",
      "tokensVested": "string",
      "cumulativeTokensVested": "string",
      "tokensUnlocked": "string",
      "cumulativeTokensUnlocked": "string",
      "tokensSettled": "string",
      "settlementDate": "string",
      "tokensWithheld": "string",
      "eightyThreeBElection": true,
      "tags": "string",
      "compensationType": "string",
      "activeWalletAddress": "string",
      "activeWalletNetwork": "string",
      "activeWalletNetworkIcon": "string",
      "unlockDate": "string",
      "orgName": "string",
      "orgID": "string"
    }
  ],
  "tokensVestingInTimePeriod": "string",
  "tokensUnlockingInTimePeriod": "string",
  "totalTokensUpcomingSettlements": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

startDatestring<date-time>required
endDatestring<date-time>required
eventTypesstring[]
grantNamestring
recipientNamestring

Response

200Successful response
grantEventsobject[]required
Show child attributes
eventTypestringrequired

Available options: Vesting, Unlock, Upcoming Settlement, Warrant Unlock

eventDatestringrequired
amountstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

grantNamestringrequired
grantIDstringrequired
recipientNamestringrequired
roleInOrgIDstringrequired
roleInOrgExternalIDnumberrequired
eventIDstring
externalEmployeeIDstring
tokenNamestring
tokenIconstring | null
countrystring
employmentTypestring
trancheSequenceNumbernumber
vestingDatestring
statusstring
tokensVestedstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

cumulativeTokensVestedstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokensUnlockedstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

cumulativeTokensUnlockedstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokensSettledstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

settlementDatestring
tokensWithheldstring

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

eightyThreeBElectionbooleanrequired
tagsstring | null
compensationTypestring | null
activeWalletAddressstring | null
activeWalletNetworkstring | null
activeWalletNetworkIconstring | null
unlockDatestring
orgNamestring
orgIDstring
tokensVestingInTimePeriodstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

tokensUnlockingInTimePeriodstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

totalTokensUpcomingSettlementsstringrequired

Allowed: matches ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits